AnyGetterWriter
Date: 2016-12-04

com.fasterxml.jackson.databind.ser

## Class AnyGetterWriter

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.AnyGetterWriter

-     public class AnyGetterWriter
      extends java.lang.Object

  Class similar to `BeanPropertyWriter`, but that will be used for serializing `JsonAnyGetter` annotated (Map) properties

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AnnotatedMember` | `_accessor` Method (or field) that represents the "any getter"
    `protected MapSerializer` | `_mapSerializer`
    `protected BeanProperty` | `_property`
    `protected JsonSerializer<java.lang.Object>` | `_serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnyGetterWriter(BeanProperty property, AnnotatedMember accessor, JsonSerializer<?> serializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fixAccess(SerializationConfig config)`
    `void` | `getAndFilter(java.lang.Object bean, com.fasterxml.jackson.core.JsonGenerator gen, SerializerProvider provider, PropertyFilter filter)`
    `void` | `getAndSerialize(java.lang.Object bean, com.fasterxml.jackson.core.JsonGenerator gen, SerializerProvider provider)`
    `void` | `resolve(SerializerProvider provider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _property

          protected final BeanProperty _property

    - #### _accessor

          protected final AnnotatedMember _accessor

      Method (or field) that represents the "any getter"

    - #### _serializer

          protected JsonSerializer<java.lang.Object> _serializer

    - #### _mapSerializer

          protected MapSerializer _mapSerializer

  - ### Constructor Detail

    - #### AnyGetterWriter

          public AnyGetterWriter(BeanProperty property,
                         AnnotatedMember accessor,
                         JsonSerializer<?> serializer)

  - ### Method Detail

    - #### fixAccess

          public void fixAccess(SerializationConfig config)

      Since:
        0.8.3

    - #### getAndSerialize

          public void getAndSerialize(java.lang.Object bean,
                             com.fasterxml.jackson.core.JsonGenerator gen,
                             SerializerProvider provider)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getAndFilter

          public void getAndFilter(java.lang.Object bean,
                          com.fasterxml.jackson.core.JsonGenerator gen,
                          SerializerProvider provider,
                          PropertyFilter filter)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        2.3

    - #### resolve

          public void resolve(SerializerProvider provider)
                       throws JsonMappingException

      Throws:
        `JsonMappingException`